$('#users').DataTable();



// $('#products').DataTable({
// 	"pageLength": 15,
// 	"lengthMenu": [[10, 25, 50, -1], [10, 25, 50, "All"]]
// });
 
$('#roles').DataTable();

$('#permissions').DataTable();
// $('#invoice_home').DataTable();
// $(document).ready(function() {
// console.log(selectedStart);
// var exportfromttb = $('#exportFromTtb').DataTable({
//     dom: 'Bfrtip',
// 	"buttons": [
//             'csv', 'excel',  'print',{
//                 extend: 'excel',
//                 text: 'Excel all (not just selected)',
//                 exportOptions: {
//                     modifier: {
//                         selected: null
//                     }
//                 }
//                 },
//                 {
//                 extend: 'print',
//                 text: 'Print all (not just selected)',
//                 exportOptions: {
//                     modifier: {
//                         selected: null
//                     }
//                 }
//             }
//         ],
// 	"pageLength": 10,
// 	"scrollX": true,
// 	select: true,
// // 	"ajax": {
// //               "url": url_exportFromttbData,
// //               "type": 'POST',
// //               "data": {'start':selectedStart} 
// //           }
// });


// });



/* Company Index Datatable  */
$(document).ready(function() {
    var t = $('#companies').DataTable( {
        "columnDefs": [ {
            "searchable": false,
            "orderable": false,
            "targets": 0
        } ],
        "order": [[ 1, 'desc' ]]
    } );
 
    t.on( 'order.dt search.dt', function () {
        t.column(0, {search:'applied', order:'applied'}).nodes().each( function (cell, i) {
            cell.innerHTML = i+1;
        } );
    } ).draw();
} );

/* Company item Datatable  */
$(document).ready(function() {
    var t = $('#products').DataTable( {
        "columnDefs": [ {
            "searchable": false,
            "orderable": false,
            "targets": 0
        } ],
        "order": [[ 1, 'asc' ]]
    } );
 
    t.on( 'order.dt search.dt', function () {
        t.column(0, {search:'applied', order:'applied'}).nodes().each( function (cell, i) {
            cell.innerHTML = i+1;
        } );
    } ).draw();
} );


/* Company attributes Datatable  */
$(document).ready(function() {
    var t = $('#attributes_table').DataTable( {
        "columnDefs": [ {
            "searchable": false,
            "orderable": false,
            "targets": 0
        } ],
        "order": [[ 1, 'asc' ]]
    } );
 
    t.on( 'order.dt search.dt', function () {
        t.column(0, {search:'applied', order:'applied'}).nodes().each( function (cell, i) {
            cell.innerHTML = i+1;
        } );
    } ).draw();
} );




 

/* Quotation Index Datatable  */

$(document).ready(function() {
    var t = $('#quotations').DataTable( {
        "columnDefs": [ {
            "searchable": false,
            "orderable": false,
            "targets": 0
        } ],
        "order": [[ 6, 'desc' ]]
    } );
 
    t.on( 'order.dt search.dt', function () {
        t.column(0, {search:'applied', order:'applied'}).nodes().each( function (cell, i) {
            cell.innerHTML = i+1;
        } );
    } ).draw();
} );




$(document).ready(function() {
    var t = $('#pis').DataTable( {
        "columnDefs": [ {
            "searchable": false,
            "orderable": false,
            "targets": 0
        } ],
        "order": [[ 5, 'desc' ]]
    } );
 
    t.on( 'order.dt search.dt', function () {
        t.column(0, {search:'applied', order:'applied'}).nodes().each( function (cell, i) {
            cell.innerHTML = i+1;
        } );
    } ).draw();
} );

$(document).ready(function() {
    var t = $('#quotation_createtableview').DataTable( {
    //     "columnDefs": [ {
    //         "searchable": false,
    //         "orderable": false,
    //         "targets": 0
    //     } ],
    //     "order": [[ 1, 'asc' ]]
    
        "ajax": url_getcompanyfortable,
        "columns":
        [
            { "data":"name" },
            { "data":"company_code" },
            { "data":"gstin" },
            { "data":"email" },
        ]
    } );
 
    // t.on( 'order.dt search.dt', function () {
    //     t.column(0, {search:'applied', order:'applied'}).nodes().each( function (cell, i) {
    //         cell.innerHTML = i+1;
    //     } );
    // } ).draw();
} );



$(document).ready(function() {
    var t = $('#crontable').DataTable( {
        "columnDefs": [ {
            "searchable": false,
            "orderable": false,
            "targets": 0
        } ],
        "order": [[ 1, 'asc' ]]
    } );
 
    t.on( 'order.dt search.dt', function () {
        t.column(0, {search:'applied', order:'applied'}).nodes().each( function (cell, i) {
            cell.innerHTML = i+1;
        } );
    } ).draw();
} );


$(document).ready(function() {
    var t = $('#bankdetail_table').DataTable( {
        "columnDefs": [ {
            "searchable": false,
            "orderable": false,
            "targets": 0
        } ],
        "order": [[ 1, 'asc' ]]
    } );
 
    t.on( 'order.dt search.dt', function () {
        t.column(0, {search:'applied', order:'applied'}).nodes().each( function (cell, i) {
            cell.innerHTML = i+1;
        } );
    } ).draw();
} );



$(document).ready(function() {
    var t = $('#invoice_home').DataTable( {
        "columnDefs": [ {
            "searchable": false,
            "orderable": false,
            "targets": 0
        } ],
        "order": [[ 9, 'desc' ]]
    } );
 
    t.on( 'order.dt search.dt', function () {
        t.column(1, {search:'applied', order:'applied'}).nodes().each( function (cell, i) {
            cell.innerHTML = i+1;
        } );
    } ).draw();
} );